
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>angular.run 妙用 / 憋错料</title>

    <meta name="description" content="angular.run 妙用 **1.浏览器判断**在angular做微信应用的时候,有时候我们也想把相同一份代码运行在非微信的浏览器上,这时候我们可以在angular的run上写点东西实现~例如asw.run函数里执行定义一个$rootScope.isWeiXinLogin的函数 .run(['$rootScope', '$route', '$window', '$location', 'Position', '$cookies', 'Request', '$cookieStore', function($rootScop">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">angular.run 妙用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>**1.浏览器判断**<br />在angular做微信应用的时候，有时候我们也想把相同一份代码运行在非微信的浏览器上，这时候我们可以在angular的run上写点东西实现~<br />例如asw.run函数里执行定义一个$rootScope.isWeiXinLogin的函数</p>
<pre>.run([‘$rootScope‘, ‘$route‘, ‘$window‘, ‘$location‘, ‘Position‘, ‘$cookies‘, ‘Request‘, ‘$cookieStore‘,
        function($rootScope, $route, $window, $location, position, $cookies, request, $cookieStore) {
            //非微信的登陆
            $rootScope.isWeiXinLogin = function() {
                //判断是否微信登陆
                var ua = window.navigator.userAgent.toLowerCase();
                //console.log(ua); //mozilla/5.0 (iphone; cpu iphone os 9_1 like mac os x) applewebkit/601.1.46 (khtml, like gecko) version/9.0 mobile/13b143 safari/601.1
                if (ua.match(/MicroMessenger/i) == ‘micromessenger‘) {
                    console.log("  是来自微信内置浏览器");
                    return true;
                } else {
                    console.log("不是来自微信内置浏览器");
                    return false;
                }
            };
]);
</pre>
<p>　　这样它能在应用的其他部分之前提前被执行，然后根据$rootScope.isWeiXinLogin的返回我们可以在不同的视图或者控制器有效的进行判断是否为微信浏览器</p>
<ol>
<li>angular.module(‘autumnswind‘).controller(‘OrderCtrl‘,&nbsp;[‘$rootScope‘,&nbsp;‘$scope‘,&nbsp;‘Request‘,&nbsp;‘$cookies‘,&nbsp;‘$window‘,&nbsp;‘$routeParams‘,&nbsp;‘$location‘,&nbsp;‘Tool‘,</li>
<li>function($rootScope,&nbsp;$scope,&nbsp;request,&nbsp;$cookies,&nbsp;$window,&nbsp;$routeParams,&nbsp;$location,&nbsp;tool)&nbsp;{</li>
<li>if&nbsp;($rootScope.isWeiXinLogin())&nbsp;{</li>
<li>...</li>
<li>}</li>
<li>}</li>
<li>]);</li>
</ol>
<p>　　**2.登陆判断**</p>
<p>在run里面写登陆判断是一种不错的方案，例如下面我写的这段，配合cookie和我上面的浏览器判断，当我加载页面的时候我就可以调用$rootScope.goLogin方案来判断是否这个路由所在的视图为登陆，如果有这个合法cookie就让它继续运行，不然则返回login页面进行登陆~</p>
<pre>$rootScope.goLogin = function(replace) {
                if ($rootScope.isWeiXinLogin()) {
                    if (!replace) {
                        $cookieStore.remove(‘loginBack‘);
                        delete $cookies.loginBack;
                        $location.path(‘login‘);
                    } else {
                        $cookies.loginBack = $location.path();
                        $location.path(‘login‘).replace();
                    }
                } else {
                    $cookieStore.remove(‘loginBack‘);
                    delete $cookies.loginBack;
                    $location.path(‘loginWebapp‘);
                }
            };
</pre>
<p>　　**3.白名单设置**</p>
<pre>var getParam = function(name) {
    var search = document.location.search;
    var pattern = new RegExp("[?&amp;]" + name + "\=([^&amp;]+)", "g");
    var matcher = pattern.exec(search);
    var items = null;
    if (null != matcher) {
        try {
            items = decodeURIComponent(decodeURIComponent(matcher[1]));
        } catch (e) {
            try {
                items = decodeURIComponent(matcher[1]);
            } catch (e) {
                items = matcher[1];
            }
        }
    }
    return items;
};
//这个是根据路由name来决定进入那个parts
window.cats = getParam(‘AutumnsWind‘);
</pre>
<p>　　后来改进了下面这个简单的例子，就可以不用用上面那句代码来实现了</p>
<pre>$rootScope.$on(‘$routeChangeSuccess‘,
                    function() {
                        var route = window.location.href;
                        if (route.indexOf(‘/hello/‘) != -1 &amp;&amp; route.indexOf(‘/autumnswind/‘) != -1) {
                            window.AutumnsWindShareUrl = window.location.href;
                        } else if (route.indexOf(‘#/index‘) != -1) {
                            window.AutumnsWindShareUrl = window.location.href;
                        } else if (route.indexOf(‘#/asw‘scat/‘) != -1) {
                            window.AutumnsWindShareUrl = window.location.href;
                        } else {
                            //跳转下载页面
                            window.AutumnsWindShareUrl = ‘~autumns~.cn‘;
                        }
);
</pre>
<p>　　上面我们根据路由发生的变化进行白名单的设置，复杂点的话可以运用一下正则，这样就能很好的过滤我们禁止的url，由于例子就不写这么复杂啦~</p>
<p>**4.设置公共参数**<br />这个其实就不用写例子了，因为上面的例子也算是这个的一部分吧~<br />后面有时间慢慢补充~</p>
<h2>状态改变事件</h2>
<pre><code>$scope.$on(‘$stateChangeStart‘,
function(event, toState, toParams, fromState, fromParams), {
  // 如果需要阻止事件的完成
</code></pre>
<pre><code>event</code>.preventDefault();</pre>
<pre>});</pre>
<pre><code>我先说说这里面的这些参数</code></pre>
<pre><code>event：该事件的基本信息</code></pre>
<pre><code></code></pre>
<pre><code>toState:我们可以得到当前路由的信息，比如路由名称，url,视图的控制器，模板路径等等</code></pre>
<pre><code></code></pre>
<pre><code>toParams:</code>我们可以得到当前路由的参数</pre>
<pre><code>fromState：</code>我们可以得到上一个路由的信息，比如路由名称，url,视图的控制器，模板路径等等</pre>
<pre></pre>
<pre><code>fromParams：</code>我们可以得到上一个路由的参数</pre>
<p>可以触发的事件包括：</p>
<h3>stateChangeStart</h3>
<p>当状态改变开始的时候被触发</p>
<h3>$stateChangeSuccess</h3>
<p>当状态改变成功后被触发</p>
<h3>$stateChangeError</h3>
<p>当状态改变遇到错误时被触发，错误通常是目标无法载入，需要预载入的数据无法被载入等</p>
<p>曾经写过一个这样的函数来实现路由的参数判断，来设置白名单，那时候这个函数还放在全局变量里面~其实回头想想算是不大好的方法</p>
<pre>var ydCreditApp = angular
    .module(‘ydCreditApp‘, [
        ‘ngAnimate‘,
        ‘ngCookies‘,
        ‘ngResource‘,
        ‘ngSanitize‘,
        ‘ngTouch‘,
        ‘ui.router‘,
        ‘ui.bootstrap‘,
        ‘datatablesDirectives‘,
        ‘ngTable‘,
        ‘ncy-angular-breadcrumb‘,
        // ‘angularFileUpload‘,
        // ‘smart-table‘,
        ‘ngFileUpload‘,
        ‘MessageCenterModule‘,
        ‘angular-loading-bar‘,
        ‘toggle-switch‘,
        ‘invalidModule‘
    ])
    .run(
        [‘$rootScope‘, ‘$state‘, ‘$stateParams‘, ‘AppSession‘,
            function($rootScope, $state, $stateParams, AppSession) {
                $rootScope.$state = $state;
                console.log($rootScope.$state)
                $rootScope.$stateParams = $stateParams;

                $rootScope.$on(‘$stateChangeStart‘, function(event, toState, toParams, fromState, fromParams) {
                    $state.previous = fromState;
                    $state.previousParams = fromParams;
                    if (toState.data.requiredLogin &amp;&amp; !AppSession.getLogin()) {
                        $state.go(‘loginByMobile‘, {}, {
                            reload: true
                        });
                        event.preventDefault();
                    }
                });

                $rootScope.$on("$stateChangeSuccess",  function(event, toState, toParams, fromState, fromParams) {
                    $rootScope.previousState_name = fromState.name;
                    $rootScope.previousState_params = fromParams;
                });

            }
        ]
    ).directive(‘repeatFinish‘,function(){
        return {
            link: function($scope,element,attr){
                if($scope.$last === true){
                    //为了防止页面中的值还没有渲染出来，所以添加Timeout来解决
                    setTimeout(function(){ $scope.$eval( attr.repeatFinish );},1000);
                }
            }
        };
    }).config([‘cfpLoadingBarProvider‘, function (cfpLoadingBarProvider) {
        cfpLoadingBarProvider.latencyThreshold = 0;
        cfpLoadingBarProvider.spinnerTemplate = ‘&lt;div class="loading-bar-background"&gt;&lt;div class="center" id="loading-bar-spinner"&gt;&lt;div class="padding"&gt;&lt;/div&gt;&lt;div class="spinner-icon"&gt;&lt;/div&gt;&lt;div class="text"&gt;正在执行中，请稍后......&lt;/div&gt;&lt;/div&gt;‘;
    }])
    .config(
        [‘$stateProvider‘, ‘$urlRouterProvider‘, ‘$breadcrumbProvider‘, ‘$httpProvider‘,
            function($stateProvider, $urlRouterProvider, $breadcrumbProvider, $httpProvider) {
                $httpProvider.interceptors.push(‘TokenInterceptor‘);
                // if(!IsPC){
                //   alert("请在PC端登录！");
                //   return;
                // }

                $urlRouterProvider.otherwise(‘/‘);
                $stateProvider
                    .state(‘loginByMobile‘, {
                        url: ‘/‘,
                        templateUrl: ‘views/login/loginByMobile.html‘,
                        controller: ‘loginCtrl‘,
                        data: {
                            requiredLogin: false
                        }
                    })
</pre>
<p>　　</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-30 10:04:53 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/htm/" title="htm">htm</a>, <a href="https://www.biecuoliao.com/tag/span/" title="span">span</a>, <a href="https://www.biecuoliao.com/tag/control/" title="control">control</a>, <a href="https://www.biecuoliao.com/tag/tar/" title="tar">tar</a>, <a href="https://www.biecuoliao.com/tag/link/" title="link">link</a>, <a href="https://www.biecuoliao.com/tag/%e6%a8%a1%e6%9d%bf/" title="模板">模板</a>, <a href="https://www.biecuoliao.com/tag/eval/" title="eval">eval</a>, <a href="https://www.biecuoliao.com/tag/params/" title="params">params</a>, <a href="https://www.biecuoliao.com/tag/loading/" title="loading">loading</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>angular.run 妙用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JkbyQM.html" rel="bookmark">angular run&lpar;&rpar;运行块</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				和配置块不同,运行块在注入器创建之后被执行,它是所有AngularJS应用中第一个被执行的方法. 运行块是AngularJS中与main方法最接近的概念.运行块中的代码块通常很难进行单元测试,它是和应用本身高度耦合的. 运行块通常用来注册全局的事件监听器.例如,我们会在.run()块中设置路由事件的监听器以及过滤未经授权的请求. 假设我们需要在每次路由发生变化时,都执行一个函数来验证用户的权限,放置这个功能唯一合理的地方就是run方法: angular.module('myApp', ['ngR			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qwoo7M.html" rel="bookmark">angular1常用组件和服务的设计思路</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				每个Angular“应用程序”ng-app都有一个 injector ,负责创建并查找依赖,当缓存中没有依赖key1时,记依赖对象为{key1:null,key2:value2,...},后来当key1出现时,key1修改依赖对象为{key1:value1,key2:value2,...},所有文件加载完毕以后,执行全局配置函数config和run,如果所有文件加载完毕,key1也没有出现,则会报错,不会执行全局配置函数.一.标题组件的设计思路:1.标签内属性传参(1)标题内容2.模板(1)&lt;i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVQ9Ow4.html" rel="bookmark">Angular&period;js 学习二---&dollar;scope和&dollar;rootScope&comma;Angular模块的run方法&comma;依赖注入中代码压缩</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.$scope和$rootScope的区别 一句话总结: $rootScope针对全局的作用域生效 $scope只针对当前的controller作用域生效 二.AngularJS模块的run方法 run方法初始化全局的数据,只对全局作用域起作用 如$rootScope &lt;script type=&quot;text/javascript&quot;&gt; var m1 = angular.module('myApp', []); m1.run(['$rootScope', function ($			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qBbz94.html" rel="bookmark">angular 子路由跳转出现Navigation triggered outside Angular zone&comma; did you forget to call &OpenCurlyQuote;ngZone&period;run&lpar;&rpar; 的问题修复</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				angular 路由功能非常强大,同时angular的路由也非常脆弱,非常容易出现错误. 那么在我们遇到异常时,首先要做的是什么? 第一步:检查代码,对比官方文档,发现代码中不一致的地方进行改正. 第二步:调试代码,观察调用过程中参数传递是否正常. 第三步:百度一下. 对于我这个观点,可能会有人不服气,出现异常不应该第一时间问度娘吗?对于较熟悉angular 路由的人来说,这确实是一个快速的解决问题之道,但不是我们学习的根本.我们学习要知根知底. 对于angular的子路由,我们来看一个例子 i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/pMPNvy3.html" rel="bookmark">angular踩坑之路：初探webpack</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前费了一番力气安装好了angular开发环境,后面的几天都是在angular中文官网上看文档,照着英雄教程一步一步操作,熟悉了angular的一些基本特性,这部分没有遇到什么大问题,还比较顺利.这两天在看官方文档中的Webpack简介,想跟着文档做一遍,了解一下如何用Webpack打包angular项目,结果遇到了一些问题,因为是初学angular和Webpack的小白,这些问题一时难以解决,花费了不少时间,想在这里记录一下. 首先跟着文档将相关的文件都添加到项目中,目录是这样子的: 根据文档			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/W0jnQZ0.html" rel="bookmark">Angular复习笔记（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				指令:ng-app 标记在dom上,就作用于该dom结构 =========================================== 定义初始值  指令:ng-init &lt;div ng-app=&quot;&quot; ng-init=&quot;quantity=1;price=5&quot;&gt; {{quantity}}{{price}} &lt;/div&gt;  ——&gt;   15 =========================================== 数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/n3Z1YG0.html" rel="bookmark">使用Angular CLI创建Angular 2项目</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.安装nvm-windows,方便node版本切换 nvm list //查看已安装的版本 nvm install 6.11.0 //安装Node.js 6.11.0,因为@angular/cli需要6.9版本以上支持 nvm use 6.11.0 //切换到新安装的版本 二.为npm配置proxy(proxy软件需自行安装) npm config set proxy=http://localhost:1080 npm config set https-proxy=http://localho			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Z0YlPyM.html" rel="bookmark">angular&period;js小知识总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				angular-watch.html 代码如下: &lt;script&gt; var app = angular.module('app',[]); app.controller('ctrl',function($scope){ $scope.init = { price : 20,//单价 count : 5, //数量 money : 3 //运费 }; $scope.a = 0; $scope.$watch('init.count',function(newVal,oldVal){ console			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/E3wmyVM.html" rel="bookmark">Angular笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何在平级界面模块间进行通信 有两种方法: 一种是共用服务.  一种是基于事件. 共用服务: 在 Angular 中,通过 factory 可以生成一个单例对象,在需要通信的模块 a 和 b 中注入这个对象即可. 基于事件: 这个又分两种方式: 第一种是借助父 controller.在子 controller 中向父 controller 触发( $emit )一个事件,然后在父 controller 中监听( $on )事件,再广播( $broadcast ) 给子 controller ,这			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/XMmnd10.html" rel="bookmark" class="title">C&plus;&plus;&mdash;this指针的用法</a>
					<div>
						this指针抽象比喻 当我们在进入一个房子之后, 可以看见房子里的桌子,椅子. 地板等,但是看不到房子的全貌.对于一个类的实例来说, 你可以看到它的成员 函数. 成员 变量, 但是实例本身呢? thi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dgoABM.html" rel="bookmark" class="title">有趣iOS开展 - 网络请求</a>
					<div>
						网络请求 版权声明:本文博主原创文章,博客,未经同意不得转载.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgLjdN0.html" rel="bookmark" class="title">Robot Motion</a>
					<div>
						A robot has been programmed to follow the instructions in its path. Instructions for the next direct ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVwXDQ0.html" rel="bookmark" class="title">DecimalFormat类</a>
					<div>
						DecimalFormat类也是Format的一个子类,主要作用是格式化数字. 在格式化数字的时候比直接使用NumberFormat更加方便,因为可以直接指定按用户自定义的方式进行格式化操作,与Sim ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/418eVO3.html" rel="bookmark" class="title">discuz db 类</a>
					<div>
						1 2 3 4 5 &lt;?php /**  * by mckee &amp; www.phpddt.com  * modified by discuz DB  */ class Mysql{ ?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35AqXR3.html" rel="bookmark" class="title">地图坐标转换 -- 火星坐标与GPS坐标</a>
					<div>
						第一次处理地理位置的数据的人,没什么经验,往往掉入很多坑浪费不少时间.我也是刚刚从坑里爬出来.这篇博文主要是把入门GPS轨迹分析的经验总结一下,以方便大家少走些弯路. (1)可视化 GPS 路径 刚拿 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEl5g14.html" rel="bookmark" class="title">现代软件工程 第十四章 练习与讨论</a>
					<div>
						15.3.1 有些成功人士或公司认为不需要独立的测试角色(Test),你怎么看? 我猜想和踢足球类似,还是那几个原因: 人太牛: 不世出的天才,例如高德纳写书时发现排版软件不好用,就自己写了一个.也没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6zlaJM.html" rel="bookmark" class="title">优秀关卡策划的10评判标准</a>
					<div>
						?? 原则一:优秀的关卡是利用乐趣来进行引导 为了有一个流畅愉快的游戏体验,应该让玩家们随时随地都清楚知道自己当前该何去何从.这一点能够通过像灯光或图形等视觉语言来实现. 原则二:优秀的关卡设计不须要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bR5Yw0.html" rel="bookmark" class="title">刑天他们知道这件事</a>
					<div>
						http://baozoumanhua.com/users/17546423/following_articleshttp://baozoumanhua.com/users/17546428/foll ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPvyla3.html" rel="bookmark" class="title">杭电OJ 2015 2014年9月25日19&colon;51&colon;03</a>
					<div>
						偶数求和 Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others)Total Submis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lNDjX4.html" rel="bookmark" class="title">iOS搜索时状态栏文字颜色修改</a>
					<div>
						问题1:使用UISearchDisplayController搜索时状态栏变黑 解决方案:参考参考文献1的方法将导航控制器的view的背景改为[self.navigationController.vi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3515Jo3.html" rel="bookmark" class="title">CSC 命令编译cs文件</a>
					<div>
						编译 File.cs 以产生 File.exe: csc File.cs 编译 File.cs 以产生 File.dll: csc /target:library File.cs  可缩写成 csc  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NyOaJ3.html" rel="bookmark" class="title">SQL Server 2008空间数据应用系列二：空间索引（Spatial Index）基础</a>
					<div>
						原文:SQL Server 2008空间数据应用系列二:空间索引(Spatial Index)基础 在前一篇博文中我们学习到了一些关于地理信息的基础知识,也学习了空间参照系统,既地球椭球体.基准.本初 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVQ15w4.html" rel="bookmark" class="title">【使用 DOM】使用 DOM 元素</a>
					<div>
						1. 使用元素对象 HTMLElement对象提供了一组属性,可以用它们来读取和修改被代表的数据.下表介绍了这些属性. 下面代码展示了如何使用表中所列的一些基本属性. &lt;!DOCTYPE htm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KP6gy3.html" rel="bookmark" class="title">DirectX11 学习笔记5 - D3DXMath 库</a>
					<div>
						directx11 特别推出了一个数学库 用于向量 矩阵的计算,而且使用128位 同时计算4条32位数据 (SIMD) 之前基本是用的directx10math.h这个头文件.  这个数学库既然是新出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZanRZ0.html" rel="bookmark" class="title">ubuntu中安装visual studio code-（转载）</a>
					<div>
						在Ubuntu中安装Visual Studio Code 编译自:http://itsfoss.com/install-visual-studio-code-ubuntu/ 作者: Abhishek  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NXbBV0.html" rel="bookmark" class="title">MySQL 代码开发注意事项----开发高性能的sql</a>
					<div>
						序言 一个服务或者一个程序,由 程序+数据组成.在数据这块,计算机中IO是比CPU要慢得多,为了减少IO,减少CPU运算.我们第一时间会想到索引,但索引为啥会提高效率,因为可以减少IO,在查询的时候不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPOyPn4.html" rel="bookmark" class="title">SWOOLE之广播消息实现</a>
					<div>
						背景: 使用swoole_server swoole_table实现 //创建swoole_table$table = new swoole_table(1024);$table-&gt;column ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a2wZP3.html" rel="bookmark" class="title">HBase创建快照&lpar;snapshot&rpar;出现异常的处理方法</a>
					<div>
						今天在hbase中创建快照的时候遇到了如下错误: hbase(main):004:0&gt; snapshot 'booking', 'booking-snapshot-20140912' ERROR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JGnybM.html" rel="bookmark" class="title">gdb打印字符串时不省略</a>
					<div>
						通常在gdb调试时要打印出一些字符串的内容,但默认情况下输出的字符串有长度限制,但是需要查看字符串的全部内容,怎么办呢?通过命令set print element 0就可以了.					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
